<?php $options = get_option( 'og_theme_options' ); // Theme-Optionen ?> 

			<?php if ($options['post_thumb'] == 1) { // wenn Post-Thumbnails aktiviert ?>

				<div id="post-<?php the_ID(); ?>" <?php post_class('post-thumb'); ?>>

			<?php } else { ?>

				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

			<?php } ?>

					<div class="body">

					<?php if (is_home() && is_sticky()) { // Sticky-Text ?> 

						<?php if ($options['sticky_text']) { // eigener Sticky-Text ?> 
							<div class="sticky-banner"><?php echo $options['sticky_text']; ?></div>
						<?php } else { // sonst zeig den Standard-Text ?>
							<div class="sticky-banner">Hervorgehobener Artikel</div>
						<?php } ?>

					<?php } ?>

						<div class="format-icon">

							<?php if ( has_post_format('aside') ) { ?>
								<img style="width: 32px; height: 32px;" src="<?php echo get_template_directory_uri(); ?>/images/format-aside.png">	
							<?php } elseif ( has_post_format('gallery') ) { ?> 
								<img style="width: 32px; height: 32px;" src="<?php echo get_template_directory_uri(); ?>/images/format-gallery.png">	
							<?php } elseif ( has_post_format('link') ) { ?> 
								<img style="width: 32px; height: 32px;" src="<?php echo get_template_directory_uri(); ?>/images/format-link.png">	
							<?php } elseif ( has_post_format('image') ) { ?> 
								<img style="width: 32px; height: 32px;" src="<?php echo get_template_directory_uri(); ?>/images/format-image.png">	
							<?php } elseif ( has_post_format('quote') ) { ?> 
								<img style="width: 32px; height: 32px;" src="<?php echo get_template_directory_uri(); ?>/images/format-quote.png">	
							<?php } elseif ( has_post_format('status') ) { ?> 
								<img style="width: 32px; height: 32px;" src="<?php echo get_template_directory_uri(); ?>/images/format-status.png">	
							<?php } elseif ( has_post_format('video') ) { ?> 
								<img style="width: 32px; height: 32px;" src="<?php echo get_template_directory_uri(); ?>/images/format-video.png">	
							<?php } elseif ( has_post_format('audio') ) { ?> 
								<img style="width: 32px; height: 32px;" src="<?php echo get_template_directory_uri(); ?>/images/format-audio.png">	
							<?php } elseif ( has_post_format('chat') ) { ?> 
								<img style="width: 32px; height: 32px;" src="<?php echo get_template_directory_uri(); ?>/images/format-chat.png">	
							<?php } else { ?> 
								<img style="width: 32px; height: 32px;" src="<?php echo get_template_directory_uri(); ?>/images/format-standard.png">	
							<?php } ?>

						</div><!--.format-icon-->

					<div class="meta">

						<?php the_time('j. F Y') ?>  

					</div><!--meta-->

					<?php if ($options['post_thumb'] == 1) { // Post-Thumbnail verwenden ?>

						<div class="thumb">
							<?php 
								if(has_post_thumbnail()) { 
								the_post_thumbnail('medium-thumbnail', array('title' => ''.get_the_title().'' )); // Artikel-Thumb anzeigen
								} else {
								echo '<img src="'.get_bloginfo("template_url").'/images/thumb_100.png" />'; // sonst Standard-Thumb
								}
							?>

						</div><!--.thumb-->

					<?php } ?>


					<h3 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanenter Link zum Artikel <?php the_title(); ?>"><?php the_title(); ?></a></h3>

							<?php if ( has_post_format('aside') ) { // wenn Post-Format Aside ?>

								<div class="post-author">

									<div class="post-author-avatar"> 
										<?php echo get_avatar( $post->post_author, 70 ); ?>
									</div>

									<div class="post-author-name">
										<a href="<?php the_author_meta('url'); ?>"><?php the_author(); ?></a>
									</div>

								</div><!--.post-author-->

							<?php } ?>

							<?php if ( has_post_format('status') ) { // wenn Post-Format Status ?>

								<div class="post-author">

									<div class="post-author-avatar"> 
										<?php echo get_avatar( $post->post_author, 70 ); ?>
									</div>

								</div><!--.post-author-->

							<?php } ?>

						<div class="inhalt">

						<?php if ( has_post_format('status') ) { // wenn Post-Format Status ?>

							<div class="post-time">

								<a href="<?php the_author_meta('url'); ?>"><?php the_author(); ?></a> um <?php the_time('H: i') ?> Uhr

							</div><!--.post-time-->

						<?php } ?>

						<?php if ($options['artikelanzeige'] == 0) { // bis zum Weiterlesen-Tag ?>
							<?php the_content('Weiterlesen &rarr;'); ?>
						<?php } elseif ($options['artikelanzeige'] == 1) { // Kurzfassung ?>
							<?php the_excerpt(); ?>
						<?php } elseif ($options['artikelanzeige'] == 2) { // vollständig ?>
							<?php 
								global $more;
								$more = 1;
								the_content();
							?>
						<?php } ?>

						</div><!--.inhalt-->

						<?php if ($options['artikelinfo'] == 1 ) { // Post-Informationen anzeigen ?>

							<div class="artikelinfo">

								<ul>

								<?php if ($options['autor'] == 1 ) { // Post-Autor anzeigen ?>

									<li class="autor">Veröffentlicht von <a href="<?php the_author_meta('url'); ?>"><?php the_author(); ?></a></li>

								<?php } ?>

									<li class="kommentaranzahl"><?php comments_popup_link('Keine Kommentare', '1 Kommentar', '% Kommentare', '', 'Kommentare nicht erlaubt'); ?></li>
									<li class="kategorien"><?php the_category(' | '); ?></li>
									<?php
									$tag = get_the_tags();
									if (! $tag) { ?>
									<?php } else { ?>
									<li class="tags"><?php the_tags('',' | ',''); ?></li>								
									<?php } ?>

									<li><?php edit_post_link('Artikel Bearbeiten &rarr;', '', ''); ?></li>

								</ul>

							</div><!--.artikelinfo-->

						<?php } ?>

					</div><!--body-->

				</div><!--post-->