<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>

<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0" />
<title><?php bloginfo('name'); ?> <?php if ( is_home() ) { ?> - <?php bloginfo('description'); } ?> <?php wp_title(); ?> </title>
<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.3/jquery.min.js"></script>


<?php $options = get_option( 'og_theme_options' ); // Theme-Optionen ?> 

<!--Google Web Fonts-->

<?php if ( $options['font_standard'] == 0 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 1 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Droid+Sans:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 2 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=PT+Sans:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 3 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 4 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Ubuntu:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 5 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Roboto:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_standard'] == 6 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Roboto+Condensed:400,700' rel='stylesheet' type='text/css'>
<?php } ?>

<?php if ( $options['font_h'] == 0 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Fjalla+One' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 1 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 2 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Oswald' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 3 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Archivo+Narrow:700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 4 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Open+Sans+Condensed:700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 5 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Yanone+Kaffeesatz:700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 6 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Bree+Serif' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 7 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Roboto:700' rel='stylesheet' type='text/css'>
<?php } elseif ( $options['font_h'] == 8 ) { ?>
	<link href='http://fonts.googleapis.com/css?family=Roboto+Condensed:700' rel='stylesheet' type='text/css'>
<?php } ?>

<style type="text/css">

<?php if ( $options['font_standard'] == 0 ) { ?>
	body, input, select, textarea { font-family: 'Open Sans', sans-serif; }
<?php } elseif ( $options['font_standard'] == 1 ) { ?>
	body, input, select, textarea { font-family: 'Droid Sans', sans-serif; }
<?php } elseif ( $options['font_standard'] == 2 ) { ?>
	body, input, select, textarea { font-family: 'PT Sans', sans-serif; }
<?php } elseif ( $options['font_standard'] == 3 ) { ?>
	body, input, select, textarea { font-family: 'Source Sans Pro', sans-serif; }
<?php } elseif ( $options['font_standard'] == 4 ) { ?>
	body, input, select, textarea { font-family: 'Ubuntu', sans-serif; }
<?php } elseif ( $options['font_standard'] == 5 ) { ?>
	body, input, select, textarea { font-family: 'Roboto', sans-serif; }
<?php } elseif ( $options['font_standard'] == 6 ) { ?>
	body, input, select, textarea { font-family: 'Roboto Condensed', sans-serif; }
<?php } ?>

<?php if ( $options['font_h'] == 0 ) { ?>
	h1, h2, h3, h4, h5, h6 { font-family: 'Fjalla One', sans-serif; font-weight: normal !important; }
<?php } elseif ( $options['font_h'] == 1 ) { ?>
	h1, h2, h3, h4, h5, h6 { font-family: 'Open Sans', sans-serif; }
<?php } elseif ( $options['font_h'] == 2 ) { ?>
	h1, h2, h3, h4, h5, h6 { font-family: 'Oswald', sans-serif; font-weight: normal !important; }
<?php } elseif ( $options['font_h'] == 3 ) { ?>
	h1, h2, h3, h4, h5, h6 { font-family: 'Archivo Narrow', sans-serif !important; }
<?php } elseif ( $options['font_h'] == 4 ) { ?>
	h1, h2, h3, h4, h5, h6 { font-family: 'Open Sans Condensed', sans-serif; }
<?php } elseif ( $options['font_h'] == 5 ) { ?>
	h1, h2, h3, h4, h5, h6 { font-family: 'Yanone Kaffeesatz', sans-serif; }
<?php } elseif ( $options['font_h'] == 6 ) { ?>
	h1, h2, h3, h4, h5, h6 { font-family: 'Bree Serif', serif; font-weight: normal !important; }
<?php } elseif ( $options['font_h'] == 7 ) { ?>
	h1, h2, h3, h4, h5, h6 { font-family: 'Roboto', serif; font-weight: normal !important; }
<?php } elseif ( $options['font_h'] == 8 ) { ?>
	h1, h2, h3, h4, h5, h6 { font-family: 'Roboto Condensed', serif; font-weight: normal !important; }
<?php } ?>

</style>

<!--Standard-Schriftgröße-->

<style type="text/css">

<?php if ( $options['font_size'] ) { ?>
	body { font-size: <?php echo $options['font_size']; ?>; }
<?php } else { ?>
	body { font-size: 13px; }
<?php } ?>

</style>

<?php if(function_exists('is_singular') && function_exists('wp_enqueue_script')) {  // Script für das Kommentar-Formular beim Antworten
	if (is_singular())
		wp_enqueue_script( 'comment-reply' );
	}
?>

<?php wp_head(); ?>

</head>


<body <?php body_class(); ?>> 

<div class="nav-open">
	<a href="#nav-menu" title="Menü anzeigen">Navigation &#9776;</a>
</div><!--nav-open-->

<?php if ( $options['top-nav'] == 1 ) { // wenn Top-Navigation, zusätzliche Klasse einfügen ?>

	<div id="header" class="topnav">

<?php } else { ?>

	<div id="header">

<?php } ?>

		<div class="inhalt">

			<?php if ( $options['top-nav'] == 1 ) { // Top-Navigation anzeigen ?>

				<div class="navigation top">

					<div class="inhalt">

						<ul>
							<li><a href="#">Kategorienübersicht</a>
								<ul class="kategorien">
									<?php wp_list_categories('hierarchical=0&title_li='); ?> 
								</ul>
							</li>
							<li><a href="#">Schlagwortübersicht</a>
								<?php wp_tag_cloud('number=0&smallest=1&largest=1&unit=em&format=list'); ?>
							</li>
							<li><a href="#">Monatsübersicht</a>
								<ul class="monatsarchiv">
									<?php wp_get_archives( array( 'type' => 'monthly' ) ); ?>
								</ul>
							</li>
						</ul>

					</div><!--.inhalt-->

				</div><!--.navigation-->

			<?php } ?>

			<div class="links">

				<?php if ($options['logo'] == 1) { // Logo anzeigen ?>

					<div class="logo">
						<a href="<?php echo home_url(); ?>"><img src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="" /></a>
					</div><!--.logo-->

				<?php } ?> 

					<h5 class="bloginfo">
						<?php if ($options['bloginfo'] == 1) { // Bloginfo anzeigen ?>
							<a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a>
						<?php } elseif ($options['bloginfo'] == 2) { // Blogbeschreibung anzeigen ?>
							<a href="<?php echo home_url(); ?>"><?php bloginfo('description'); ?></a>
						<?php } elseif ($options['bloginfo'] == 3) { // Bloginfo und Blogbeschreibung anzeigen ?>
							<a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?> | <?php bloginfo('description'); ?></a>
						<?php } ?> 
					</h5><!--bloginfo-->

			</div><!--.links-->

			<div class="rechts">

				<div class="social">

						<ul>

						<?php if ($options['facebook'] == 1) { // Facebook Icon anzeigen ?>
							<li><a href="<?php echo $options['facebook_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/facebook.png">
							<span>
								<?php if ($options['facebook_tooltip']) { // eigener Tooltip-Text ?>
									<?php echo $options['facebook_tooltip'] ?>
								<?php } else { // sonst Standard-Tooltip-Text ?>
									Mein Facebook-Profil
								<?php } ?> 
							</span>
							</a></li>
						<?php } ?> 

						<?php if ($options['twitter'] == 1) { // Twitter Icon anzeigen ?>
							<li><a href="<?php echo $options['twitter_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/twitter.png">
							<span>
								<?php if ($options['twitter_tooltip']) { // eigener Tooltip-Text ?>
									<?php echo $options['twitter_tooltip'] ?>
								<?php } else { // sonst Standard-Tooltip-Text ?>
									Mein Twitter-Profil
								<?php } ?> 
							</span>
							</a></li>
						<?php } ?> 

						<?php if ($options['google'] == 1) { // Google+ Icon anzeigen ?>
							<li><a href="<?php echo $options['google_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/google.png">
							<span>
								<?php if ($options['google_tooltip']) { // eigener Tooltip-Text ?>
									<?php echo $options['google_tooltip'] ?>
								<?php } else { // sonst Standard-Tooltip-Text ?>
									Mein Google+-Profil
								<?php } ?> 
							</span>
							</a></li>
						<?php } ?> 

						<?php if ($options['xing'] == 1) { // Xing Icon anzeigen ?>
							<li><a href="<?php echo $options['xing_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/xing.png">
							<span>
								<?php if ($options['xing_tooltip']) { // eigener Tooltip-Text ?>
									<?php echo $options['xing_tooltip'] ?>
								<?php } else { // sonst Standard-Tooltip-Text ?>
									Mein Xing-Profil
								<?php } ?> 
							</span>
							</a></li>
						<?php } ?> 

						<?php if ($options['tumblr'] == 1) { // Tumblr Icon anzeigen ?>
							<li><a href="<?php echo $options['tumblr_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/tumblr.png">
							<span>
								<?php if ($options['tumblr_tooltip']) { // eigener Tooltip-Text ?>
									<?php echo $options['tumblr_tooltip'] ?>
								<?php } else { // sonst Standard-Tooltip-Text ?>
									Mein Tumblr-Profil
								<?php } ?> 
							</span>
							</a></li>
						<?php } ?> 

						<?php if ($options['picasa'] == 1) { // Picasa Icon anzeigen ?>
							<li><a href="<?php echo $options['picasa_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/picasa.png">
							<span>
								<?php if ($options['picasa_tooltip']) { // eigener Tooltip-Text ?>
									<?php echo $options['picasa_tooltip'] ?>
								<?php } else { // sonst Standard-Tooltip-Text ?>
									Mein Picasa-Profil
								<?php } ?> 
							</span>
							</a></li>
						<?php } ?> 

						<?php if ($options['flickr'] == 1) { // flickr Icon anzeigen ?>
							<li><a href="<?php echo $options['flickr_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/flickr.png">
							<span>
								<?php if ($options['flickr_tooltip']) { // eigener Tooltip-Text ?>
									<?php echo $options['flickr_tooltip'] ?>
								<?php } else { // sonst Standard-Tooltip-Text ?>
									Mein flickr-Profil
								<?php } ?> 
							</span>
							</a></li>
						<?php } ?> 

						<?php if ($options['lastfm'] == 1) { // Last.fm Icon anzeigen ?>
							<li><a href="<?php echo $options['lastfm_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/lastfm.png">
							<span>
								<?php if ($options['lastfm_tooltip']) { // eigener Tooltip-Text ?>
									<?php echo $options['lastfm_tooltip'] ?>
								<?php } else { // sonst Standard-Tooltip-Text ?>
									Mein Last.fm-Profil
								<?php } ?> 
							</span>
							</a></li>
						<?php } ?> 

						<?php if ($options['youtube'] == 1) { // Youtube Icon anzeigen ?>
							<li><a href="<?php echo $options['youtube_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/youtube.png">
							<span>
								<?php if ($options['youtube_tooltip']) { // eigener Tooltip-Text ?>
									<?php echo $options['youtube_tooltip'] ?>
								<?php } else { // sonst Standard-Tooltip-Text ?>
									Mein Youtube-Profil
								<?php } ?> 
							</span>
							</a></li>
						<?php } ?> 

						<?php if ($options['rss'] == 1) { // RSS-Feed Icon anzeigen ?>
							<li><a href="<?php bloginfo('rss2_url'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/rss.png">
							<span>
								<?php if ($options['rss_tooltip']) { // eigener Tooltip-Text ?>
									<?php echo $options['rss_tooltip'] ?>
								<?php } else { // sonst Standard-Tooltip-Text ?>
									Hol dir den RSS-Feed
								<?php } ?> 
							</span>
							</a></li>
						<?php } ?> 

						</ul>

				</div><!--.social-->

				<div class="suche">

					<form method="get" id="searchform" action="<?php echo home_url(); ?>/">
						<input type="text" value="Suchbegriff eingeben" name="s" id="s"     
						onblur="if (this.value == '') 
						{this.value = 'Suchbegriff eingeben';}"
						onfocus="if (this.value == 'Suchbegriff eingeben')
						{this.value = '';}" />
						<input type="submit" name="" value="" id="sb" />
					</form>

				</div><!--.suche-->

			</div><!--.rechts-->

		</div><!--.inhalt-->

			<div id="nav-menu" class="navigation">

				<?php wp_nav_menu( array('container' => '') ); // Nav-Menü ?>

				<a class="nav-close" href="#" title="Menü zuklappen">&uarr; Navigation schließen</a>

			</div><!--#nav-menu-->

	</div><!--#header-->

	<div id="seitenbreite">

	<?php if ($options['mono_color'] == 1) { // wenn einfarbige Kacheln gewählt ?>

		<div id="wrapper" class="mono_color">

	<?php } else { ?>

		<div id="wrapper">

	<?php } ?>

		<?php if(is_month()) { // Überschrift Monatsarchiv ?>
			<h4 class="heading">Artikelarchiv für den Monat <span><?php printf (get_the_date('F Y') ); ?></span></h4>
		<?php } elseif(is_year()) { // Überschrift  Jahresarchiv ?>
			<h4 class="heading">Artikelarchiv für das Jahr <span><?php printf (get_the_date('Y') ); ?></span></h4>
		<?php } elseif(is_day()) { // Überschrift Tagesarchiv ?>
			<h4 class="heading">Artikelarchiv für <span><?php printf (get_the_date('d. F Y') ); ?></span></h4>
		<?php } elseif(is_category()) { // Überschrift Kategorien ?>
			<h4 class="heading">Artikelarchiv für die Kategorie <span>"<?php single_tag_title(); ?>"</span></h4>
		<?php } elseif(is_tag()) { // Überschrift Schlagworte ?>
			<h4 class="heading">Artikelarchiv für das Schlagwort <span>"<?php single_tag_title(); ?>"</span></h4>
		<?php } elseif(is_search()) { // Überschrift Suche ?>
			<h4 class="heading">Suchergebnis zum Begriff <span>"<?php the_search_query(); ?>"</span></h4>
		<?php } ?>

			<div id="inhalt">

				<?php if ($options['top_artikel'] == 1) { // zeige Top-Artikel, wenn Option gewählt ?>

					<?php if ($options['top_artikel_paged'] == 1 ) { // zeige Top-Artikel nur auf Seite 1 ?>

						<?php $page = get_query_var('paged'); 
						if ($page < 2 && is_home()) { ?>

							<?php get_template_part('top_artikel'); // lade das Template für die Top-Artikel ?>

						<?php } ?>

					<?php } else { ?>

						<?php if (is_home()) { // zeige Top-Artikel auf allen Seiten  ?>

							<?php get_template_part('top_artikel'); // lade das Template für die Top-Artikel ?>

						<?php } ?>

					<?php } ?>

				<?php } ?>